import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class StatusUtil here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class StatusUtil  
{

    public static double speedUpFactor = 1.6;

    public static void normalStatus(Moving obj){
        obj.setInvincTimer(0);
        obj.setSpeedUpTimer(0);
    }    

    public static void parse(Moving obj){
        if(obj.getInvincTimer() > 0){
            Scoreboard s = (Scoreboard)obj.getWorld().getObjects(Scoreboard.class).get(0);
            s.setStatus(obj.getClass().getName()+": Invincible: "+String.valueOf(Math.round(obj.getInvincTimer()/10)));
            GreenfootImage opImg = new GreenfootImage(obj.getStdImage());
            opImg.setTransparency(120);
            obj.setImage(opImg);
            obj.setInvincTimer(obj.getInvincTimer()-1);
        }else{
            obj.setImage(obj.getStdImage());
        }
        if(obj.getSpeedUpTimer() > 0){
            obj.setMoveSpeed(obj.getStdMoveSpeed()*StatusUtil.speedUpFactor);
            Scoreboard s = (Scoreboard)obj.getWorld().getObjects(Scoreboard.class).get(0);
            s.setStatus(obj.getClass().getName()+": Speed-Up ("+String.valueOf(((double)Math.round(obj.getMoveSpeed()*100))/100)+"): "+String.valueOf(Math.round(obj.getSpeedUpTimer()/10)));
            obj.setSpeedUpTimer(obj.getSpeedUpTimer()-1);
        }else{
            obj.setMoveSpeed(obj.getStdMoveSpeed());
        }
    }

    public static void setInvinc(Moving obj, int i){
        StatusUtil.normalStatus(obj);
        obj.setInvincTimer(i);
    }
    
    public static void setSpeedUp(Moving obj, int i){
        StatusUtil.normalStatus(obj);
        obj.setSpeedUpTimer(i);
    }
}
